	document.addEventListener('DOMContentLoaded', createTOC(), false);

	function createTOC(){
		var complexDocElement = document.getElementById("complexDocument");
		var tocElement = document.getElementById("tocPlaceHolder");
		
		if (complexDocElement === null || tocElement === null){
			console.log("no complex document or no placeholder");
			return;
		}
		addItemsToTOC(complexDocElement,tocElement)
	}
	function addItemsToTOC(docPart, tocElement){
		var docPartChilds = docPart.childNodes;
		for (var i = 0; i < docPartChilds.length; i++){
			var docPartChild = docPartChilds[i];
			if ( docPartChild.nodeType === Node.ELEMENT_NODE && docPartChild.classList.contains("documentPart")){
				var tocElementChild = createTOCItem(docPartChild, tocElement);
				addItemsToTOC(docPartChild,tocElementChild);
			}
		}
	}
	function createTOCItem(docPart, tocElement){
		var newTOCElement = document.createElement("div");
		var anchor = docPart.getAttribute('id');
		var docPartButton = docPart.previousElementSibling;
		var itemName = docPartButton.textContent;
		var link = document.createElement("a");
		link.setAttribute("href", "javascript:goToDocumentPart(\"" + anchor + "\");" );
		link.innerText = itemName;
		newTOCElement.appendChild(link);
		tocElement.appendChild(newTOCElement);
		return newTOCElement;
	}
	function goToDocumentPart(targetId){
		if (targetId ===""){
			return;
		}
		var targetNode = document.getElementById(targetId);
		if (targetNode === null){
			console.log("document has no target node to go to")
			return;
		}
		showParents(targetNode);
		document.getElementById(targetId).scrollIntoView();		
	}
	function showParents(targetNode){
		if (targetNode != null && "complexDocument" !== targetNode.id){
			if (targetNode.style.display === "none") {
    			targetNode.style.display = "block";
  			}
			showParents(targetNode.parentElement);
		}
	}
	